Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the 'A bash script to automate DarwinPorts upgrades' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
A bash script to automate DarwinPorts upgrades
Authored by: BjarneDM on Oct 28, '05 04:11:30PM
-u doesn't force an un-install when dependencies are present. If a port is dependent upon the old version you'll get an error-message that port was unable to un-install the old version along with a list of the ports that are dependent upon the old version and a suggestion to un-install these.

The only way I'm at present aware that my script can mess up is if a dependency isn't found, but that won't break your DarwonPort installation - you'll just have to do some manual work to fix the situation.

[ Reply to This | # ]